curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/dispatch-dlq/{dlq_id}/retry' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
{
"dlq_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
Retry dlq item
Item re-queued for dispatch.
POST
/
v1
/
brands
/
{brand_id}
/
dispatch-dlq
/
{dlq_id}
/
retry
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/dispatch-dlq/{dlq_id}/retry' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
{
"dlq_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
Path parameters
string (uuid)
required
string (string)
required
Request body
JSON body of typeGenericObject.
Response
object
string (uuid)
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | Item re-queued for dispatch. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/dispatch-dlq/{dlq_id}/retry' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
{
"dlq_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
Last modified on August 31, 2026